Bug 140008 - ifup script dependent on hotplug
Summary: ifup script dependent on hotplug
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-11-19 09:39 UTC by Matthew L Foster
Modified: 2014-03-17 02:50 UTC (History)
1 user (show)

Fixed In Version: 8.08-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 19:58:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew L Foster 2004-11-19 09:39:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:

It seems unnecessary for a network startup script to assume hotplug
regardless of the fact that all redhat built kernels have it.

Nov 18 20:17:08 localhost ifup: cat:
Nov 18 20:17:08 localhost ifup: /proc/sys/kernel/hotplug: No such file
or directory
Nov 18 20:17:08 localhost ifup: network-functions: line 183:
/proc/sys/kernel/hotplug: No such file or directory
Nov 18 20:17:08 localhost ifup: network-functions: line 185:
/proc/sys/kernel/hotplug: No such file or directory
Nov 18 20:17:08 localhost ifup: cat:
Nov 18 20:17:08 localhost ifup: /proc/sys/kernel/hotplug: No such file
or directory
Nov 18 20:17:08 localhost ifup: network-functions: line 183:
/proc/sys/kernel/hotplug: No such file or directory
Nov 18 20:17:08 localhost ifup: network-functions: line 185:
/proc/sys/kernel/hotplug: No such file or directory


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot a kernel lacking HOTPLUG suport
    

Actual Results:  network doesn't start

Additional info:

Comment 1 Bill Nottingham 2005-04-15 19:58:55 UTC
Added in 8.08-1.


Note You need to log in before you can comment on or make changes to this bug.